# Interface Alignment

Store the core information of a structure alignment

#### Hierarchy

- Alignment

- Defined in src/examples/alignment-provider/providers/alignment-response.d.ts:45

#####
Index

### Properties

sequence_alignment?
structure_alignment
structures
summary?

## Properties

### `Optional` sequence_alignment

sequence_alignment?: SequenceAlignment[]

List of size M that codifies sequence alignment, where M - the number of aligned structures

- Defined in src/examples/alignment-provider/providers/alignment-response.d.ts:57

### structure_alignment

structure_alignment: StructureAlignmentBlock[]

List of size K that holds structural alignment data, where K - number of blocks. Blocks divide the alignment into structurally equivalent parts. The division can be due to non-topological rearrangements (e.g. circular permutations) or due to flexible parts (e.g. domain or region swaps).

- Defined in src/examples/alignment-provider/providers/alignment-response.d.ts:53

### structures

structures: (StructureEntry | StructureURL)[]

Identifies aligned structures

- Defined in src/examples/alignment-provider/providers/alignment-response.d.ts:49

### `Optional` summary

summary?: AlignmentSummary

- Defined in src/examples/alignment-provider/providers/alignment-response.d.ts:58

Generated using TypeDoc